List Dispositions
curl --request GET \
--url https://api.agents.timepay.ai/api/v1/dispositions \
--header 'Authorization: <authorization>'import requests
url = "https://api.agents.timepay.ai/api/v1/dispositions"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.agents.timepay.ai/api/v1/dispositions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "NiciJNJoGytGUGiyhqgK",
"name": "Pay in Coming Days/Weeks",
"description": "Mark if customer says they will pay next day or after few days.",
"priority": 0,
"createdAt": "2025-02-06T09:02:03",
"updatedAt": "2025-02-09T10:30:20"
},
{
"id": "qmJFQyVugpOAPjREQeEF",
"name": "No Answer",
"description": "Customer did not pick up the call",
"priority": 100,
"createdAt": "2025-02-05T14:20:00",
"updatedAt": "2025-02-05T14:20:00"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 15,
"totalPages": 1
}
}
{
"success": false,
"error": "Unauthorized",
"message": "Missing or invalid authorization header"
}
{
"success": false,
"error": "Forbidden",
"message": "You don't have the required permission to perform this action"
}
{
"success": false,
"error": "InternalServerError",
"message": "An unexpected error occurred"
}
Dispositions
List Dispositions
Retrieve a paginated list of all dispositions
List Dispositions
Overview
Retrieve a paginated list of all dispositions in your organization with optional filtering.Headers
string
required
Bearer token for authentication (e.g.,
Bearer <your_token>).Query Parameters
integer
default:"1"
Page number for pagination
string
Search term to filter by name and description
Response
boolean
Indicates if the request was successful
array
object
{
"success": true,
"data": [
{
"id": "NiciJNJoGytGUGiyhqgK",
"name": "Pay in Coming Days/Weeks",
"description": "Mark if customer says they will pay next day or after few days.",
"priority": 0,
"createdAt": "2025-02-06T09:02:03",
"updatedAt": "2025-02-09T10:30:20"
},
{
"id": "qmJFQyVugpOAPjREQeEF",
"name": "No Answer",
"description": "Customer did not pick up the call",
"priority": 100,
"createdAt": "2025-02-05T14:20:00",
"updatedAt": "2025-02-05T14:20:00"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 15,
"totalPages": 1
}
}
{
"success": false,
"error": "Unauthorized",
"message": "Missing or invalid authorization header"
}
{
"success": false,
"error": "Forbidden",
"message": "You don't have the required permission to perform this action"
}
{
"success": false,
"error": "InternalServerError",
"message": "An unexpected error occurred"
}
Error Codes
| Status | Description |
|---|---|
401 | Unauthorized - Invalid or missing API key |
403 | Forbidden - Missing required permissions |
500 | Internal server error |

